package com.qmth.distributed.print.business.bean.params;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Description: 教学课程编辑参数
 * @Author: CaoZixuan
 * @Date: 2022-02-14
 */
public class TeachCourseParams {
    @ApiModelProperty("课程名称")
    @NotNull(message = "请填写课程名称")
    @Length(message = "请填写课程名称")
    private String courseName;

    @ApiModelProperty("课程编号")
    @NotNull(message = "请填写课程编号")
    @Length(message = "请填写课程编号")
    private String courseCode;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }
}
